For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTAdd multiple products to the store
      • GETGet a single product
      • PUTModify a single product
      • GETGet multiple products
      • POSTAdd a single product to the store
LogoLogo
API ReferenceProducts

Get a single product

||View as Markdown|
GET
https://sandbox-api.shipbob.com/1.0/product/:productId
GET
/1.0/product/:productId
$curl https://sandbox-api.shipbob.com/1.0/product/1 \
> -H "Authorization: Bearer <token>"
1{
2 "barcode": "123456789012",
3 "bundle_root_information": {
4 "id": 0,
5 "name": "string"
6 },
7 "channel": {
8 "id": 0,
9 "name": "House of Slippers"
10 },
11 "created_date": "2019-08-24T14:15:22+00:00",
12 "fulfillable_inventory_items": [
13 {
14 "id": 0,
15 "name": "Medium Blue T-Shirt",
16 "quantity": 0
17 }
18 ],
19 "fulfillable_quantity_by_fulfillment_center": [
20 {
21 "committed_quantity": 0,
22 "fulfillable_quantity": 0,
23 "id": 0,
24 "name": "Cicero",
25 "onhand_quantity": 0
26 }
27 ],
28 "gtin": "012345678905",
29 "id": 0,
30 "name": "Medium Blue T-Shirt",
31 "reference_id": "TShirtBlueM",
32 "sku": "TShirtBlueM",
33 "total_committed_quantity": 0,
34 "total_fulfillable_quantity": 0,
35 "total_onhand_quantity": 0,
36 "unit_price": 20.32,
37 "upc": "012345678912"
38}
Was this page helpful?
Previous

Add multiple products to the store

Next

Modify a single product

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

productIdintegerRequired
Unique identifier of the product

Headers

shipbob_channel_idintegerOptional
Channel Id for Operation

Response

Success
barcodestring
Barcode for the product
bundle_root_informationobject
channelobject
Information about a store channel
created_datedatetime
Date the product was created
fulfillable_inventory_itemslist of objects
The inventory that this product will resolve to when packing a shipment
fulfillable_quantity_by_fulfillment_centerlist of objects
Fulfillable quantity of this product broken down by fulfillment center location
gtinstring

Global Trade Item Number - unique and internationally recognized identifier assigned to item by company GS1.

idinteger
Unique identifier of the product
namestring
The name of the product
reference_idstring
Unique reference identifier of the product
skustring
Stock keeping unit for the product
total_committed_quantityinteger
Total committed quantity of this product
total_fulfillable_quantityinteger
Total fulfillable quantity of this product
total_onhand_quantityinteger
Total on hand quantity of this product
unit_pricedouble
The price of one unit
upcstring

Universal Product Code - Unique external identifier

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error